com.jscape.inet.mft.management.descriptors

## Class CustomAuthenticationServiceDescriptor

- java.lang.Object
- - com.jscape.inet.mft.management.descriptors.Configuration
  - - com.jscape.inet.mft.management.descriptors.ServiceDescriptor
    - - com.jscape.inet.mft.management.descriptors.AuthenticationServiceDescriptor
      - - com.jscape.inet.mft.management.descriptors.CustomAuthenticationServiceDescriptor

- All Implemented Interfaces:
    com.jscape.util.db.IntVersioned, java.io.Serializable

      public class CustomAuthenticationServiceDescriptor
      extends AuthenticationServiceDescriptor

  Custom authentication service descriptor.
  Author:
    Alex
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CustomAuthenticationServiceDescriptor()` This constructor is used by serialization sub-system and is not intended to use directly in client code.
    `CustomAuthenticationServiceDescriptor(CustomAuthenticationServiceDescriptor that)`
    `CustomAuthenticationServiceDescriptor(java.lang.String authenticationClassName, java.lang.String accountTemplate, com.jscape.inet.mft.subsystems.authentication.UsernameConversionType usernameConversionType)` Creates a new descriptor instance.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `Configuration` | `copy()`
    `java.lang.String` | `getAccountTemplate()` Returns the account template name.
    `java.lang.String` | `getAuthenticationClassName()` Returns authentication class name.
    `com.jscape.inet.mft.subsystems.authentication.UsernameConversionType` | `getUsernameConversionType()`
    `void` | `setAccountTemplate(java.lang.String value)` Sets the account template name.
    `void` | `setAuthenticationClassName(java.lang.String value)` Sets authentication class name.
    `void` | `setUsernameConversionType(com.jscape.inet.mft.subsystems.authentication.UsernameConversionType value)`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class com.jscape.inet.mft.management.descriptors.Configuration

      `getVersion, setVersion`

    - ### Methods inherited from class java.lang.Object

      `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### CustomAuthenticationServiceDescriptor

          public CustomAuthenticationServiceDescriptor(java.lang.String authenticationClassName,
                                                       java.lang.String accountTemplate,
                                                       com.jscape.inet.mft.subsystems.authentication.UsernameConversionType usernameConversionType)

      Creates a new descriptor instance.
      Parameters:
        `authenticationClassName` - authentication class name
        `accountTemplate` - account template name

    - #### CustomAuthenticationServiceDescriptor

          public CustomAuthenticationServiceDescriptor(CustomAuthenticationServiceDescriptor that)

    - #### CustomAuthenticationServiceDescriptor

          public CustomAuthenticationServiceDescriptor()

      This constructor is used by serialization sub-system and is not intended to use directly in client code.

  - ### Method Detail

    - #### getAuthenticationClassName

          public java.lang.String getAuthenticationClassName()

      Returns authentication class name.
      Returns:
        authentication class name

    - #### setAuthenticationClassName

          public void setAuthenticationClassName(java.lang.String value)

      Sets authentication class name.
      Parameters:
        `value` - authentication class name

    - #### getAccountTemplate

          public java.lang.String getAccountTemplate()

      Returns the account template name.
      Returns:
        the account template name

    - #### setAccountTemplate

          public void setAccountTemplate(java.lang.String value)

      Sets the account template name.
      Parameters:
        `value` - the account template name

    - #### getUsernameConversionType

          public com.jscape.inet.mft.subsystems.authentication.UsernameConversionType getUsernameConversionType()

    - #### setUsernameConversionType

          public void setUsernameConversionType(com.jscape.inet.mft.subsystems.authentication.UsernameConversionType value)

    - #### copy

          public Configuration copy()

      Specified by:
        `copy` in class `Configuration`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

Copyright © JSCAPE LLC. 1999-2019. All Rights Reserved